<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for Mailman
//
require_once('plugins/mailman/lib/MailmanPeer.php');
require_once('plugins/mailman/lib/Mailman.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/mailman/lib/html/MailmanAdminTemplate.php');
$theme = new MailmanAdminTemplate();

$project = GFUrl::getUrl()->getProject();
//$Mailman = $MailmanPeer::retrieveByPk($_GET['id']);

$params = array(
		'project' => $project,
//		'Mailman' => $Mailman,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Mailman.AddNewPageTitle')
		);

include('forms/MailmanAdd-tpl.php');

?>
