<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$project = GFUrl::getUrl()->getProject();

$stmt = Propel::getConnection()->prepareStatement('SELECT * FROM code_search_module WHERE code_search_module_id=?');
$stmt->setInt(1, $_GET['id']);
$rs = $stmt->executeQuery();

if (!$rs->next() || $rs->getInt('project_id') != $project->getProjectId() || !$project->getPermission()->isAdmin()) {
	throw new PermissionDeniedException();
}

include('forms/CodeSearchModuleDelete-tpl.php');

?>
