<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$session = Session::getSession();
$Lang = $session->getLanguage();

$user = GFUrl::getUrl()->getUser();
$params = array(
		'user' => $user,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => 'Userfiles Admin'
		);

require_once('plugins/userfiles/lib/html/UserfilesMyAdminTemplate.php');
$theme = new UserfilesMyAdminTemplate();

$c = new Criteria();
$c->add(FilesystemPeer::FILESYSTEM_ID,$_REQUEST['file_id']);
$fs = FilesystemPeer::doSelectOne($c);

if (!is_object($fs)) {
	throw new PermissionDeniedException();
}


include('forms/UserfileDelete-tpl.php');

?>