<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

Validator::validatePOSTAction();

if (array_key_exists('sure',$_POST)) {
	$c = new Criteria();
	$c->add(FilesystemPeer::FILESYSTEM_ID,$_REQUEST['file_id']);
	$fs = FilesystemPeer::doSelectOne($c);
	if (is_object($fs) && (($fs->getRefId()==Session::getSession()->getUser()->getUserId()) && (Session::getSession()->getUser()->getUnixName() ==  GFUrl::getUrl()->getUser()->getUnixName()) )  ) {
		$fs->delete();
		GFUrl::redirect($url->currentBaseURL('index.php'), array('feedback' => $Lang->getText('UserFiles.DeleteFeedback')));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	GFUrl::redirect($url->currentBaseURL('index.php'), array('feedback' => $Lang->getText('UserFilesDeleteForm.DidntConfirm')));
}

?>