<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserEditAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('User.UnixNameName'); ?>: <?php echo $unix_name; ?></strong><br /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.TitleName'); ?></strong><br />
			<input type="text" name="title" value="<?php echo $title; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.FirstnameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="firstname" value="<?php echo $firstname; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.LastnameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="lastname" value="<?php echo $lastname; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.TimezoneName'); ?></strong><br />
			<?php echo HTMLWidget::selectBoxFromArrays($TZs,$TZs,'timezone',$timezone,false); ?></td>
		</tr>
		<input type="hidden" name="date_format" value="Y-M-D"/>
<!--		<tr>
			<td><strong><?php echo $Lang->getText('User.DateFormatName'); ?></strong><br />
			<input type="text" name="date_format" value="<?php echo $date_format; ?>" /></td>
		</tr> -->
		<tr>
			<td><strong><?php echo $Lang->getText('User.EmailName'); ?></strong><br />
			<?php echo $email; ?>&nbsp;&nbsp;<?php echo '<a href="' . GFUrl::getUrl()->baseURL('UserEmailEdit','','my') . '">' . Language::getSessText('My.ChangeEmail') . '</a>';?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.AddressName'); ?></strong><br />
			<input type="text" name="address" value="<?php echo $address; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.Address2Name'); ?></strong><br />
			<input type="text" name="address2" value="<?php echo $address2; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.PhoneName'); ?></strong><br />
			<input type="text" name="phone" value="<?php echo $phone; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.FaxName'); ?></strong><br />
			<input type="text" name="fax" value="<?php echo $fax; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.CcodeName'); ?></strong><br />
			<?php
			$countries = CountryCodePeer::doSelect(new Criteria());
			echo HTMLWidget::select('ccode',$countries,$ccode,HTMLWidget::OPTION_NONE,false);
			?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.LanguageIdName'); ?></strong><br />
			<?php
			$languages = LanguagePeer::doSelect(new Criteria());
			echo HTMLWidget::select('language_id',$languages,$language_id,HTMLWidget::OPTION_NONE,false);
			?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.ThemeIdName'); ?></strong><br />
			<?php
			$themes = ThemePeer::doSelect(new Criteria());
			echo HTMLWidget::select('theme_id',$themes,$theme_id,HTMLWidget::OPTION_NONE,false);
			?></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->baseURL('','','my') . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
