<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/templates/SiteAdminTemplate.php');
require_once('html/HTMLWidget.php');

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];

$Lang = Session::getSession()->getLanguage();

$template = new SiteAdminTemplate();

$params = array(
		'feedback' => isset($feedback) ? $feedback : '',		
		'title'	=> $Lang->getText('TroveAdd.NewCategory')
	);

$TroveCategory = TroveCategoryPeer::retrieveByPK($_REQUEST['parent_trove_cat_id']);
if (is_object($TroveCategory)) {
	$parent_category_name = $TroveCategory->getCategoryName();
	
	if($TroveCategory->getRootTroveCategoryId() == 0) { //check if its a cat root
		$root_category_id = $_REQUEST['parent_trove_cat_id'];
	} else {	
		$root_category_id = $TroveCategory->getRootTroveCategoryId();
	}	
} else {
	$parent_category_name = 'root';
	$root_category_id = $_REQUEST['parent_trove_cat_id'];
}

$parent_trove_cat_id = $_REQUEST['parent_trove_cat_id'];

$alias = ( (isset($_POST['alias'])) ? htmlspecialchars($_POST['alias']) : '' );
$fullname = ( (isset($_POST['fullname'])) ? htmlspecialchars($_POST['fullname']) : '' );
$description = ( (isset($_POST['description'])) ? htmlspecialchars($_POST['description']) : '' );

include('forms/TroveAdd-tpl.php');


?>