ALTER TABLE scm_module ADD COLUMN publish_to_www BOOLEAN;
ALTER TABLE scm_module ALTER COLUMN publish_to_www SET DEFAULT FALSE;
UPDATE scm_module SET publish_to_www=false;

CREATE TABLE scm_commit_filter (
scm_commit_filter_id SERIAL PRIMARY KEY,
filter_description text,
plugin_id INT CONSTRAINT pluginid_fk references plugin(plugin_id),
filter_string text
);

CREATE TABLE scm_commit_filter_project (
scm_commit_filter_id INT CONSTRAINT scmcommitfilterid_fk references 
scm_commit_filter(scm_commit_filter_id),
project_id INT CONSTRAINT projectid_fk references project(project_id) ON DELETE CASCADE,
PRIMARY KEY (scm_commit_filter_id,project_id)
);
