DELETE FROM role_setting WHERE section='docmanfolder';
INSERT INTO role_setting
select r.role_id,'docmanfolder'::text,df.docman_folder_id,2 
	FROM role r NATURAL JOIN docman_folder df 
	WHERE df.parent_folder_id=0;

INSERT INTO role_setting
select r.role_id,'frspackage'::text,frsp.frs_package_id,1
        FROM role r NATURAL JOIN frs_package frsp;

ALTER TABLE forum_thread ADD COLUMN is_sticky BOOLEAN;
ALTER TABLE forum_thread ALTER COLUMN is_sticky SET DEFAULT false;
UPDATE forum_thread SET is_sticky=false;

ALTER TABLE forum_thread ADD COLUMN is_locked BOOLEAN;
ALTER TABLE forum_thread ALTER COLUMN is_locked SET DEFAULT false;
UPDATE forum_thread SET is_locked=false;

ALTER TABLE tracker_extra_field ADD COLUMN default_value TEXT;

ALTER TABLE "user" ADD COLUMN is_restricted BOOLEAN;
ALTER TABLE "user" ALTER COLUMN is_restricted SET DEFAULT false;
UPDATE "user" SET is_restricted=false;

ALTER TABLE project ADD COLUMN is_listed BOOLEAN;
ALTER TABLE project ALTER COLUMN is_listed SET DEFAULT false;
UPDATE project SET is_listed=false;

ALTER TABLE wiki_page ADD COLUMN page_views INTEGER;
ALTER TABLE wiki_page ALTER COLUMN page_views SET DEFAULT 0;
UPDATE wiki_page SET page_views=(SELECT sum(hits) FROM wiki_version WHERE wiki_page_id=wiki_page.wiki_page_id);
ALTER TABLE wiki_version DROP COLUMN hits;

ALTER TABLE forum_thread ADD COLUMN page_views INTEGER;
ALTER TABLE forum_thread ALTER COLUMN page_views SET DEFAULT 0;
UPDATE forum_thread SET page_views=0;

update
wiki_page set latest_version=(select max(page_version) from wiki_version where
wiki_page_id=wiki_page.wiki_page_id);
