<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. Prez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/docman/lib/html/DocmanTemplate.php');
require_once('plugins/docman/lib/DocmanFolderPeer.php');
require_once('plugins/docman/lib/DocmanFolder.php');
require_once('plugins/docman/lib/DocmanFilePeer.php');
require_once('plugins/docman/lib/DocmanFile.php');

$theme = new DocmanTemplate();

$project=GFUrl::getUrl()->getProject();
$df= DocmanFilePeer::retrieveByPk($_REQUEST['id']);
if (!is_object($df) 
	|| $df->getDocmanFolder()->getProjectId() != $project->getProjectId() 
	|| !$df->userCanCreate()) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $project,
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Docman.AddVersionPageTitle')
		);

$changes = (isset($_REQUEST['changes']) ? $_REQUEST['changes'] : '');
$id = (isset($_REQUEST['id']) ? $_REQUEST['id'] : '');
if (isset($_REQUEST['redirect_to']) && $_REQUEST['redirect_to'] == 'admin') {
	$redirect_to = 'admin';
} else {
	$redirect_to = '';
}

require_once('forms/DocmanFileVersionAdd-tpl.php');

?>
