<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('ForumThread.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ForumThreadEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.ForumIdName'); ?></strong><br />
			<input type="text" name="forum_id" value="<?php echo $forum_id; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.CreatedByName'); ?></strong><br />
			<input type="text" name="created_by" value="<?php echo $created_by; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.ThreadNameName'); ?></strong><br />
			<input type="text" name="thread_name" value="<?php echo $thread_name; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.MessageCountName'); ?></strong><br />
			<input type="text" name="message_count" value="<?php echo $message_count; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ForumThread.MostRecentDateName'); ?></strong><br />
			<input type="text" name="most_recent_date" value="<?php echo $most_recent_date; ?>" /></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   $this->buildForumURL(array('action' => 'ForumBrowse', 'forum_id' => $forum_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>