<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Mailman.AddMailmanDescription').'</div></p>';
?>
<p>
<strong>List Options</strong>
<ul>
<li><a href="<?php echo GFUrl::getUrl()->currentBaseUrl(''); ?>"><?php echo $Lang->getText('Mailman.AdminBrowseLists'); ?></a></li>
<li><a href="<?php echo $url->buildUrl('/mailman/admin/'.$list_name); ?>"><?php echo $Lang->getText('MailmanAdmin.Administrate'); ?></a></li?
<li><a href="<?php echo GFUrl::getUrl()->currentBaseUrl('MailmanDelete'); ?>&amp;id=<?php echo intval($_REQUEST['id']); ?>"><?php echo $Lang->getText('Delete'); ?></a></li>
</ul>
</p>
<br />

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('MailmanEditAction') ?>" method="POST">
<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />
<p>
	<strong><?php echo $list_name ?></strong>
</p>
<p>
	<strong><?php echo $Lang->getText('MailmanEdit.IsPublicName'); ?></strong><br />
	<input type="radio" name="is_public" value="1" <?php echo ($is_public ? 'checked="checked"' : ''); ?> /> <?php echo $Lang->getText('MailmanEdit.Yes'); ?><br />
	<input type="radio" name="is_public" value="0" <?php echo (!$is_public ? 'checked="checked"' : ''); ?> /> <?php echo $Lang->getText('MailmanEdit.No'); ?>
</p>		
<p>
	<strong><?php echo $Lang->getText('Mailman.DescriptionName'); ?></strong><br />
	<input type="text" name="description" value="<?php echo $description; ?>" size="40" maxlength="80" />
</p>

<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','mailman','admin',array()) . "'; ")?>
</td>
</form>

<?php
$theme->footer($params);
?>
