<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing TrackerItemMessage
//
require_once('lib/core/AuditTrail.php');
require_once('lib/core/AuditTrailPeer.php');

$crit = new Criteria();
$crit->add(AuditTrailPeer::SECTION,TrackerItem::SECTION);
$crit->addDescendingOrderByColumn(AuditTrailPeer::CHANGE_DATE);
$crit->add(AuditTrailPeer::REF_ID,$TrackerItem->getTrackerItemId());
$arr = AuditTrailPeer::doSelect($crit);


$theader = array();

$theader[] = $Lang->getText('AuditTrail.ChangeDateName');
$theader[] = $Lang->getText('AuditTrail.UserIdName');
$theader[] = $Lang->getText('AuditTrail.FieldNameName');
$theader[] = $Lang->getText('AuditTrail.OldValueName');
$theader[] = $Lang->getText('AuditTrail.NewValueName');

echo $theme->tableTop($theader);

if (count($arr) < 1) {
	echo $theme->tableFullRow($Lang->getText('AuditTrail.NoneFound'));
} else {
	foreach ($arr as $item) {
		$trow = array();
		$trow[]=$item->getChangeDate();
		$trow[]=$item->getUser()->getUserLink();
		$trow[]=$item->getFieldName();
		$trow[]=$item->getOldValue();
		$trow[]=$item->getNewValue();

		echo $theme->tableRow($trow);
	}
}
echo $theme->tableBottom();


?>
